<?php
/*
=============================================
 Движок:  SHCMS Engine
=============================================
 Название файла: Библиотека
=============================================
 Official website: http://shcms.ru
=============================================
 Данный код защищен авторскими правами
=============================================
*/
define('SHCMS', true);
include_once'../system/inc/basic_settings.php';
$shcmsengine['title'] = 'Настройка разделов обменника';
include_once'../template/head.php';
registrat();
$adminka ->admin();
if($_GET['id']){$id = $_GET['id'];}


        switch($act):
    case '':
	   
        $down = mysql_query("SELECT * FROM `download_dir` WHERE `dir_index`='0'");
		
        while($downloads = mysql_fetch_array($down))
        {
            echo '<div class="posts">
                <img src="../template/icon/dir.png"/>';
            echo '&nbsp'.$downloads['name'].'<div class="maintime">';
            echo "<a title='Редактировать' href='?act=edit&id=$downloads[id]'><img src='/template/icon/edit.png'></a>
			<a title='Удаление раздела' href='?id=$downloads[id]&act=delete'><img src='/template/icon/delete.png'></a>";
            echo '</div><br/>'.$downloads['text'].'</div>';
        }
		
		echo '<div class="posts"><a href="?act=file"><strong>Настройка всех папок</strong></a></div>';
    break;
	    case 'file':
        $down = mysql_query("SELECT * FROM `download_dir` WHERE `dir_index` > '0'");
		
        while($downloads = mysql_fetch_array($down))
        {
            echo '<div class="posts">
                <img src="../template/icon/dir.png"/>';
            echo '&nbsp'.$downloads['name'].'<div class="maintime">';
            echo "<a title='Редактировать' href='?act=edit&id=$downloads[id]'><img src='/template/icon/edit.png'></a>
			<a title='Удаление раздела' href='?id=$downloads[id]&act=delete'><img src='/template/icon/delete.png'></a>";
            echo '</div><br/>'.$downloads['text'].'</div>';
        }
		
		echo '<div class="posts"><a href="?act=file"><strong>Настройка всех папок</strong></a></div>';
    break;

    case'delete':

      echo '<div class="user_foot">Удаление папки</div>';
        $delw = mysql_fetch_array(mysql_query("SELECT * FROM `download_dir` WHERE `id`=`$id`"));
                if($_POST['delete_dir'])
				{
				    $delete_dir = $_POST['delete_dir'];
				}
                    if(isset($delete_dir))
                    {
                        $delete = mysql_query("DELETE FROM `download_dir` WHERE `id`='$id'");
						
                            if($delete == true){
                                echo '<div class="actshcms">Папка успешно удалена</div>';
                                header("Refresh:1; url=?");
                                exit();
                            }
							else
                            {
                                echo '<div class="errors">Ошибка удаление папки</div>';
                                header("Refresh:1; url=?delete_dir");
                                exit();
                            }
                    }

            echo '<form action="?act=delete&id='.$id.'" method="post">';
            echo '<input type="submit" name="delete_dir" value="Удалить">';
            echo '</form>';
    break;


    case'edit':

        $download = mysql_fetch_array(mysql_query("SELECT * FROM `download_dir` WHERE `id` = '$id'"));
            if(isset($_POST['submit']))
            {
                $submit = $_POST['submit'];
            }
        if(isset($submit))
        {
		
                if(isset($_POST['name']))
                {
                    $name = $_POST['name'];
                }
if(mysql_result(mysql_query("SELECT * FROM `download_dir` WHERE `name`='$name'"),0) != 0)
        {
            echo '<div class="errors">Папка с таким именем уже существует</div>';
            header("Refresh: 1; url=?act=edit");
            include_once'../template/foot.php';
            exit();
        }

            if(empty($name))
            {
                errors("Введите название раздела");
                header("Refresh: 1; url=?act=edit&id=$id");
                include_once '../template/foot.php';
                exit;
            }

        $download_mysql = mysql_query("UPDATE `download_dir` SET `name` = '$name' WHERE `id` = '$id'");
            if($download_mysql == true)
            {
                messag('Раздел  успешно изменен');
                header("Refresh: 1; url=?");
                include_once '../template/foot.php';
                exit;
            }
            else
            {
                errors('Возникла ошибка при редактировании');
                header("Refresh: 1; url=?act=edit&id=$id");
                include_once '../template/foot.php';
                exit;
            }

        }
    echo '<form action="?act=edit&id='.$id.'" method="post">';
    echo 'Название:<br/><input type="text" name="name" value="'.$download['name'].'"><br/>';
    echo '<input type="submit" name="submit">';
    echo '</form>';


    break;
        endswitch;


include_once'../template/foot.php';
?>